Description

| have been experimenting in building twin lifter rockets and found some interesting behaviors in the VAB.
I've attached the craft file in the hopes this will lead you to the solution to this bug.

| got to this point by building the craft lineally below the main control center, to get the symmetry correct, then detaching it and
attaching this to the side mountings once | was happy with the way this was working.

This has lead to some strange things happening, i.e. parts doubling up at locations, detachment of a parent part does not detach
child parts, etc.

| suspect there is more than one issue here so would imagine experimentation with the craft file should lead to other bugs discovered
that are more specific than this.

History

#1 - 04/23/2013 06:08 AM - m_pink
- File sym test.craft added

Hummm.

Iv had similar problems but i think the main thing is that KSP should prevent you from attaching a part using symmetry if that part contains parts that
have already used symmetry.

Not sure i like the idea of that :( but im sure it would fix the problem.

| have included the "sym test" craft.

If you load this into the VAB i can demonstrate a major problem.

Click on the Actions Group button and then select one of the small fule tanks (FL-T400).

This should highlight all parts connected by symmetry.

As the part was placed originally using 3X symmetry and then its parent was repositioned using 2X symmetry the part now has 4X symmetry.

Noting this 4X symmetry try to add engines to the bottom of the FL-T400.

Make sure symmetry is on.

Symmetry will change to 4X and you will get good 3X symmetry on one side(A) and a single engine on the other side(B).
Now if you try and put engines on Side(B) in an empty spot you will get an overlap of one engine on both side sides.
Now that should not be possible even with the strange symmetry.

This seams to indicate a bug in checking for invalid part placement.

Although this dose not yet recreate the exact same file corruption shown above it is a step closer to recreating it.
Im not too sure just how bad it is to have two parts connected to the same node but im sure it cant be good.

#2 - 07/27/2015 06:04 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#3 - 07/17/2016 09:33 AM - TriggerAu

- Status changed from New to Needs Clarification

#4 - 07/17/2016 07:14 PM - Claw

- Status changed from Needs Clarification to Closed
- % Done changed from 0 to 100
- Platform Windows added
- Platform deleted (Win32)

Nested symmetry has been reworked a bit. It's not completely solved, but enough that this writeup isn't quite right anymore.

Files
AutoFuelDepo Glitchy.craft 97.6 KB 04/21/2013 kitoban
sym test.craft 4.46 KB 04/23/2013 m_pink
